Subject: [PATCH V2 3/5] usb: gadget: pxa25x_udc: prepare/unprepare clocks in pxa-ssp

From: [email-masked] (Robert Jarzmik)
Date: Sat, 22 Nov 2014 18:18:46 +0100

Dmitry Eremin-Solenikov <[email-masked]> writes:

> 2014-11-22 16:56 GMT+03:00 Robert Jarzmik <[email-masked]>:
>> Robert Jarzmik <[email-masked]> writes:
>>> Okay, now my ADSL line is repaired, thank you Mr farmer "I drive a tractor but I
>>> don't care about telephone posts", I'll fetch your changes and make a
>>> test. Let's say I schedule this for saturday.
>>
>> Removed people from the list for the tests aspect.
>>
>> Well, my lubbock board seem to raise several interrupts in the linux kernel, all
>> the LUBBOCK_IRQ interrupts multiplexed on GPIO0 actually, amongst which are the
>> 2 interrupts for the UDC.
Arg, what I meant to write was "seem to *never* raise several interrupts".

> This looks normal - GPIO0 is connected to an interrupt pin of the CPLD.
> lubbock_init_irq function should be setting up a chained handler for the GPIO0.
> And that chained handler (lubbock_irq_handler) should further decode which
> IRQ bit is set. Do you see the handler being called? Can you print the (pending)
> variable in the handler?
lubbock_irq_handler() is never called.
pxa_gpio_demux_handler() is never called.
  => this is the one worrying me most.

And as the lubbock_irq_handler() is never called there is not point in printing
that yet, first should be finding out why on earth the gpio demux is not getting
called.

Cheers.

-- 
Robert